package net.northking.cctp.scriptcase.dto.app;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * <p>Title: AppVersionQueryDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/12/25 16:50
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */
public class AppVersionQueryDto implements Serializable {

    @ApiModelProperty("应用名称")
    private String appName;
    @ApiModelProperty("应用包名")
    private String packageName;
    @ApiModelProperty("所属系统ID")
    private String ownerId;
    @ApiModelProperty("平台类型")
    private String platform;
    @ApiModelProperty("平台类型集合")
    private List<String> platforms;
    @ApiModelProperty("计划编号")
    private String planId;

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public String getOwnerId() {
        return ownerId;
    }

    public void setOwnerId(String ownerId) {
        this.ownerId = ownerId;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public List<String> getPlatforms() {
        return platforms;
    }

    public void setPlatforms(List<String> platforms) {
        this.platforms = platforms;
    }

    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }
}
